#charset "UTF-8"

#include <tads.h>
#include <file.h>
#include <date.h>
#include <charset.h>

// >1 tab tags with align=center in vertical banners that appear, change size, and disappear

main()
{
	local texts = 
'xxxxxxxxxxxxx<br>\
<tab align=center>r<br>\
<tab align=center>r<tab align=center>s<br>\
ab<tab align=center>r<tab align=center>s<br>\
asasas<tab align=center>r<tab align=center>s<br>\
<tab align=center><tab align=center>rr<br>\
';

	local b0 = nil;
	"<<texts>>";
	inputKey();
    
    local b1 = bannerCreate(b0, BannerFirst, nil, BannerTypeText, BannerAlignRight,
                       50, BannerSizePercent,
                       BannerStyleBorder);
    bannerSay(b1, texts);
	inputKey();

    local b2 = bannerCreate(b1, BannerFirst, nil, BannerTypeText, BannerAlignRight,
                       50, BannerSizePercent,
                       BannerStyleBorder);
    bannerSay(b2, texts);
	inputKey();
	
	bannerDelete(b2);
	inputKey();

	bannerDelete(b1);
	inputKey();
}
